---
title: "Kayak API: Stays Rates | Perceptlayer"
description: "Stays Rates from Kayak as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/kayak-platform/stays-rates
---

[APIs](https://perceptlayer.com/apis) / [Kayak](https://perceptlayer.com/apis/kayak-platform) / Stays Rates

# Kayak: Stays Rates

Stays Rates from Kayak as JSON. 1 credit per successful call.

GET `/v1/kayak-platform/stays-rates`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `hotel_id` | integer | Required | Any |
| `checkin` | string | Required | Any |
| `checkout` | string | Required | Any |
| `adults` | integer | Optional | Any |
| `rooms` | integer | Optional | Any |
| `child_ages[]` | list of integer | Optional | Any |
| `price_mode` | string | Optional | total, nightly |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/kayak-platform/stays-rates?hotel_id=15297&checkin=2026-12-04&checkout=2026-12-06" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/kayak-platform?try=stays-rates#playground) with your own parameters. 1 credit per successful call; failed calls are free.
